Bug 503457 - New swap partitions are type 83
New swap partitions are type 83
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Joel Andres Granados
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-01 02:55 EDT by Allen Kistler
Modified: 2010-06-28 08:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:46:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allen Kistler 2009-06-01 02:55:39 EDT
Description of problem:
The Linux swap partition type is 82, but anaconda creates new swaps as type 83.

Version-Release number of selected component (if applicable):
11.5.0.57 (RC2 DVD)

How reproducible:
Always

Steps to Reproduce:
1. Start with a clear disk (no partitions on sda, e.g.)
2. Install any layout that includes a dedicated swap partition
3. Reboot and log in
3. fdisk -l /dev/sda

Actual results:
swap partition has type 83

Expected results:
swap partition has type 82
Comment 1 Andy Lindeberg 2009-06-01 11:01:18 EDT
I don't think parted has a way to set the partition type, but I could be wrong. It should have one if it doesn't, anyway.

We by and large don't use types anymore, but a mismatched type could cause problems in programs that do rely on them. Are you noticing an actual problem with your installation, and if so, with what?
Comment 2 James Laska 2009-06-01 14:08:56 EDT
Confirmed the change in behavior from F10 to F11.

= F10 = 

# cat /proc/swaps
/dev/vda5                               partition	2096440	0	-2

# fdisk -l /dev/vda | grep vda5
/dev/vda5             808        1068     2096451   82  Linux swap / Solaris

= F11 =

# cat /proc/swaps
/dev/sda5                               partition	2031608	0	-2

# fdisk -l /dev/sda | grep sda5
/dev/sda5             810        1062     2031616   83  Linux
Comment 3 Allen Kistler 2009-06-01 15:39:34 EDT
Re: Comment 1

Installations of F11 appear to be working okay with the different (I'd still say incorrect) partition type.  I've been testing F11 since the alpha medium was released, so I'd have noticed before now if things were very broken.

The workaround is to run fdisk and change the type manually.

As far as you say you (qualifiers?) don't use types any more, do you just mean swap types?  What about the RAID autostart type?  The LVM type?  You've made me want to do a fresh install and check the others now, too.

Is there any expectation that using different types might break things in the future?  Since you say you don't use them, I'd expect not.

Since I only use RHEL and Fedora, I wouldn't expect any cross-distro problems.  Would Debian/Slackware/etc. multi-booters have an issue, though?  (That question is mostly, if not entirely, rhetorical on my part.)
Comment 4 Allen Kistler 2009-06-01 16:10:46 EDT
RAID and LVM are still typed as RAID and LVM.
(... and the sky is still blue ...)

Just checking ...
Comment 5 Joel Andres Granados 2009-06-02 06:27:00 EDT
Parted _does_ have a way to set the swap flag.  And it is reachable through the libparted, so this is not really parted.

The real question here is.  What should be setting the flag, mkswap or anaconda?  Note that anaconda uses mkswap to create the swap format.
Comment 6 Chris Lumens 2009-06-02 10:30:05 EDT
It may provide a way to set the swap flag, but more generally I don't believe there's a way to set the partition's type (what fdisk reports and lists when you use the L command).
Comment 7 Jeremy Katz 2009-06-02 10:36:01 EDT
(In reply to comment #6)
> It may provide a way to set the swap flag, but more generally I don't believe
> there's a way to set the partition's type (what fdisk reports and lists when
> you use the L command).  

Setting the swap flag makes parted set the partition type with msdos partitions (and noops on other types).  And Joel just sent such a patch
Comment 8 Bug Zapper 2009-06-09 12:54:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-04-27 10:36:19 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 08:46:38 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.